Bug 860816 - "brasero --debug" doesn't work
"brasero --debug" doesn't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: brasero (Show other bugs)
7.0
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Zeeshan Ali
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 15:13 EDT by Mark Gordon
Modified: 2014-06-13 07:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: brasero-3.6.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:40:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Gordon 2012-09-26 15:13:14 EDT
Description of problem:
The brasero man page says:

       -g, --debug
              Display debug statements on stdout.

The brasero binary says:

$ brasero --debug
Please type "brasero --help" to see all available options

This is inconsistent.

Version-Release number of selected component (if applicable):
brasero-3.4.1-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. man brasero
2. /debug (to search)
3. q (to quit)
4. brasero --debug
  
Actual results:
The binary doesn't seem to recognize the --debug option.

Expected results:
Options specified in the man page should be recognized by the binary.  Either the binary should be fixed, or the man page should be edited.  I don't have a strong preference.

Additional info:
There are other options nominally supported in the man page, unrecognized by the binary.
Comment 1 Matthias Clasen 2012-11-02 22:19:05 EDT
Fixed upstream in master and gnome-3-6.
Comment 3 Tomáš Bžatek 2012-11-13 05:50:32 EST
(In reply to comment #1)
> Fixed upstream in master and gnome-3-6.

Included in brasero-3.6.1-1.el7, thanks
Comment 4 Vladimir Benes 2013-01-16 10:35:18 EST
no debug option neither in man page nor in help
-> VERIFIED
Comment 6 Ludek Smid 2014-06-13 07:40:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.